/*
 * @Company: hugeInfo
 * @Author: ldh
 * @Date: 2022-02-14 15:51:55
 * @LastEditTime: 2022-03-15 09:34:33
 * @LastEditors: lwh
 * @Version: 1.0.0
 * @Description: 例子
 */
import React, { Component } from 'react';
import './index.less';
import PageHead from '../../components/PageHead';
import { Tabs, Button } from 'antd';
import * as $$ from '../../utils/utility';
import Page from '../../components/PageRouterView';
const { TabPane } = Tabs;

function login() {
	return $$.ax.request({ url: 'account/login', type: 'post', data: { userName: '11', password: '22' }, service: 'oper' });
}
class Login extends Component {
	constructor(props) {
		super(props);
		this.config = {};
		this.state = {
			url: '',
		};
	}
	// 登录
	handleLogin = () => {
		// const data = await login();
		//
		this.setState({ url: '/operation/customer' });
	};

	render() {
		return (
			<Page url={this.state.url}>
				<PageHead
					breadcrumbData={[
						{ url: '/operation/customer', title: '客户管理' },
						{ url: '', title: '新增客户' },
					]}
					title="客户管理"
					otherLayout={
						<Tabs defaultActiveKey="1">
							<TabPane tab="Tab 1" key="1" />
							<TabPane tab="Tab 2" key="2" />
						</Tabs>
					}
				/>
				<Button onClick={this.handleLogin}>login</Button>
			</Page>
		);
	}
}

export default Login;
